Skip to main content
GET
List all Lunch Money accounts

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

connectionId
integer
required

The Lunch Money connection ID

Query Parameters

page[size]
integer
default:25

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

filter[name]
string

Filter by account name.

filter[display_name]
string

Filter by display name.

filter[type]
string

Filter by account type.

filter[subtype]
string

Filter by account subtype.

filter[lunch_money_id]
string

Filter by the account's ID in Lunch Money (partial match).

sort
enum<string>[]
Available options:
id,
-id,
created_at,
-created_at,
updated_at,
-updated_at,
lm_created_at,
-lm_created_at
include
enum<string>[]
Available options:
transfer_links

Response

Paginated set of LunchMoneyAccountResource

data
LunchMoneyAccountResource · object[]
required
meta
object
required